%Beispiel 14.1-4, bsp_14_1_4_m.m
%Strungs- und Fhrungsverhalten
%Regelstrecke mit nichtlinearem Sttigungselement
%
%Fhrung- und Strung gleichzeitig aufgeschaltet
w0 = 1.0; z20 = 1.0;
sim ('bsp_14_1_4')
plot(t,x,'b-')
title  ('Fhrungs- und Strungssprungantwort, Strecke mit Sttigung')
xlabel ('Zeit t/s') 
ylabel ('x(t)')
text (8.5,0.68,'x(w+z)')
axis ([0 10 -1.2 1.2])
grid on
hold on
%nur Fhrungssprung aufgeschaltet
w0 = 1.0; z20 = 0.0;
sim ('bsp_14_1_4')
plot(t,x,'b-')
text (8.6,0.98,'x(w)')
xw = x;
%nur Strungssprung aufgeschaltet
w0 = 0.0; z20 = 1.0;
sim ('bsp_14_1_4')
plot(t, x,'b-')
text (8.5,-0.14,'x(z)')
xz = x;
%Strungs- und Fhrungssprungantwort addiert (berlagert)
plot(t, xw+xz,'b-')
text (2.8,0.5,'x(w)+x(z)')
hold off
