%MATLAB Script-File pn_tf1_165.m
%Berechnung der bertragungsfunktion 
%durch Vorgabe der Pol- und Nullstellen
sn1=-1+0.5j; sn2=-1-0.5j; sn3=-3;   %Nullstellen
sp1=-2+j; sp2=-2-j; sp3=-4; sp4=-6; %Polstellen
nul=[sn1; sn2; sn3];                %Spaltenvektor der Nullstellen
pol=[sp1; sp2; sp3; sp4];           %Spaltenvektor der Polstellen
K0=3;								%konstanter Faktor

pnG=zpk(nul,pol,K0);				%Pol-Nullstellenmodell pnG
G=tf(pnG)							%bertragungsfunktion G(s)

pzmap(G)                            %Pol-Nullstellenplan ausgeben
sgrid                               %Gitterlinien fr D und w0
title('\it{s-Ebene}')               %Titel der Grafik
