%MATLAB Script-File wok1_166.m
%Wurzelortskurve fr IT2-Strecke mit P-Regler, Sprungantwort
clf							%Grafisches Fenster lschen
KS=2;                       %Verstrkung der Regelstrecke
nulGRS=[-1];              	%Nullstellen von GRS(s)
polGRS=[0;-1;-1.5;-2];     	%Polstellen von GRS(s)

pnGRS=zpk(nulGRS,polGRS,KS);%Pol-Nullstellenmodell pnGRS
GRS=tf(pnGRS);              %GRS(s)

subplot(121), rlocus(GRS)	%Wurzelortskurve zeichnen
axis([-2,0.5,-2.5,2.5])     %Skalierung
axis ('equal')              %gleicher Skalierungsfaktor
D=0.7;w0=0.5;				%Dmpfung, Kennkreisfrequenz
sgrid(D,w0)                 %Gitterlinien fr D und w0

%Reglerverstrkung, Pole {G(s)} fr bestimmten Wurzelort:
[KR,polG]=rlocfind(GRS)
pnG=zpk(nulGRS,polG,KR*KS);%Pol-Nullstellenmodell pnG
G=tf(pnG);				    %G(s)
subplot(122), step(G), grid %Sprungantwort zeichnen
axis([0,20,0,1.2])          %Skalierung
