%MATLAB Script-File phi_z_162.m
%Phase einer komplexen Zahl

Re=linspace(-1,1,30);       %Vektor mit linearer Teilung
Im=Re;
[RE,IM]=meshgrid(Re,Im);    %Matrizen RE, IM fr 3D-Plots
PHI=atan(IM./RE);           %Phase komplexer Zahl als Matrix

mesh(RE,IM,PHI)             %3D-Grafik mit Netzoberflche
grid on                     %kartesische Gitterlinien
title('\it{3D-Netz}')       %Titel der Grafik
xlabel('\it{Realteil}')     %Bezeichnung der x-Achse
ylabel('\it{Imaginrteil}') %Bezeichnung der y-Achse
zlabel('\it{Phase}')        %Bezeichnung der z-Achse

pause                       %weiter mit beliebiger Taste
clf                         %Bildschirm lschen

surf(RE,IM,PHI)             %3D-Grafik mit Schattierung            
grid on
title('\it{3D-Netz, schattiert}')
xlabel('\it{Realteil}')
ylabel('\it{Imaginrteil}')
zlabel('\it{Phase}')
